IP Detection
IP 查询 API
一次调用即可获得单个 IP、IP 段或主机名的完整判定。
查询 IP
参数
- targetstring必填
IPv4、IPv6、CIDR IP 段或主机名。
响应字段
- target.kindstring
ipv4、ipv6、cidr 或 hostname。
- target.ipstring
被检测的地址。主机名则为其解析到的地址。
- reserved.reservedboolean
私有、保留和文档用 IP 段为 true。
- verdict.classificationstring
residential_clean、mobile、hosting、datacenter、vpn、residential_proxy、tor、relay 或 unknown。
- verdict.anonymizedboolean
网络隐藏了背后的用户时为 true。托管网络也算在内,已知基础设施除外。
- verdict.confidencenumber
置信度,范围 0 到 1。
- verdict.methodstring
决定判定结果的信号。
- verdict.evidencestring[]
可选。类别所依据的信号,例如 vpn_server_list、relay_range 或 known_infra。
- purityobject | null
评分明细:score、grade、verdict 与 deductions。Starter 及以上方案提供,Free 方案为 null。
- purity.scoreinteger
纯净度分数,0 到 100。Starter 及以上方案提供,Free 方案为 null。
- purity.gradestring
S+、S、A、B 或 C。Starter 及以上方案提供,Free 方案为 null。
- purity.verdictstring
clean、suspect 或 dirty。Starter 及以上方案提供,Free 方案为 null。
- purity.deductionsarray
从分数中扣除的分值,各附原因。Starter 及以上方案提供,Free 方案为 null。
- networkClassstring
residential_clean、mobile、hosting、datacenter、vpn、residential_proxy、tor、relay 或 unknown。
- isVpnboolean
仅 vpn、residential_proxy 和 tor 为 true,hosting 和 relay 始终为 false。
- isProxyboolean
代理(包括住宅代理)为 true。
- isTorboolean
Tor 出口节点为 true。
- providerstring | null
已知时为网络所有者的名称。Starter 及以上方案提供,Free 方案为 null。
- vpnProviderstring | null
vpn 地址所属的 VPN 服务(NordVPN、Mullvad 等),已知时返回。Starter 及以上方案提供,Free 方案为 null。
- riskScoreinteger
风险分数,0 到 100。
- geoobject
结构与 IP 归属地响应相同。
- asnobject
结构与 ASN 查询响应相同。
- whoisobject
主机名目标的 WHOIS 记录。
- degradedstring[]
查询中失败并被省略的部分。
- atstring
查询的时间。
- lockedstring[]
在当前方案下以 null 返回的字段路径(以点分隔)。Starter 及以上方案不返回此字段。
- planRequiredstring
包含被锁定字段的方案。Starter 及以上方案不返回此字段。
curl -X POST https://ipscanner.io/v1/ip/lookup \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"target":"8.8.8.8"}'{
"target": {
"raw": "8.8.8.8",
"kind": "ipv4",
"ip": "8.8.8.8"
},
"reserved": {
"reserved": false
},
"verdict": {
"classification": "hosting",
"anonymized": false,
"confidence": 0.9,
"method": "org:hosting",
"evidence": [
"known_infra",
"datacenter_range"
]
},
"purity": {
"score": 86,
"grade": "S",
"verdict": "clean",
"deductions": [
{
"factor": "network_origin",
"points": 14,
"detail": "hosting at high confidence"
}
]
},
"networkClass": "hosting",
"isVpn": false,
"isProxy": false,
"isTor": false,
"provider": "GOOGLE",
"vpnProvider": null,
"riskScore": 25,
"geo": {
"ip": "8.8.8.8",
"country": "United States",
"countryCode": "US",
"city": "",
"region": "",
"postalCode": "",
"latitude": 37.751,
"longitude": -97.822,
"timezone": "America/Chicago",
"accuracyRadius": 1000
},
"asn": {
"ip": "8.8.8.8",
"asn": "AS15169",
"name": "GOOGLE",
"type": "unknown",
"country": "US"
},
"at": "2026-10-06T17:55:29.44292148Z"
}无需密钥试用
参数
- ipstring路径必填
IPv4 或 IPv6 地址。
响应字段
- target.kindstring
ipv4、ipv6、cidr 或 hostname。
- target.ipstring
被检测的地址。主机名则为其解析到的地址。
- reserved.reservedboolean
私有、保留和文档用 IP 段为 true。
- verdict.classificationstring
residential_clean、mobile、hosting、datacenter、vpn、residential_proxy、tor、relay 或 unknown。
- verdict.anonymizedboolean
网络隐藏了背后的用户时为 true。托管网络也算在内,已知基础设施除外。
- verdict.confidencenumber
置信度,范围 0 到 1。
- verdict.methodstring
决定判定结果的信号。
- verdict.evidencestring[]
可选。类别所依据的信号,例如 vpn_server_list、relay_range 或 known_infra。
- purityobject | null
评分明细:score、grade、verdict 与 deductions。Starter 及以上方案提供,Free 方案为 null。
- purity.scoreinteger
纯净度分数,0 到 100。Starter 及以上方案提供,Free 方案为 null。
- purity.gradestring
S+、S、A、B 或 C。Starter 及以上方案提供,Free 方案为 null。
- purity.verdictstring
clean、suspect 或 dirty。Starter 及以上方案提供,Free 方案为 null。
- purity.deductionsarray
从分数中扣除的分值,各附原因。Starter 及以上方案提供,Free 方案为 null。
- networkClassstring
residential_clean、mobile、hosting、datacenter、vpn、residential_proxy、tor、relay 或 unknown。
- isVpnboolean
仅 vpn、residential_proxy 和 tor 为 true,hosting 和 relay 始终为 false。
- isProxyboolean
代理(包括住宅代理)为 true。
- isTorboolean
Tor 出口节点为 true。
- providerstring | null
已知时为网络所有者的名称。Starter 及以上方案提供,Free 方案为 null。
- vpnProviderstring | null
vpn 地址所属的 VPN 服务(NordVPN、Mullvad 等),已知时返回。Starter 及以上方案提供,Free 方案为 null。
- riskScoreinteger
风险分数,0 到 100。
- geoobject
结构与 IP 归属地响应相同。
- asnobject
结构与 ASN 查询响应相同。
- whoisobject
主机名目标的 WHOIS 记录。
- degradedstring[]
查询中失败并被省略的部分。
- atstring
查询的时间。
- lockedstring[]
在当前方案下以 null 返回的字段路径(以点分隔)。Starter 及以上方案不返回此字段。
- planRequiredstring
包含被锁定字段的方案。Starter 及以上方案不返回此字段。
curl https://ipscanner.io/v1/demo/185.220.101.1{
"target": {
"raw": "185.220.101.1",
"kind": "ipv4",
"ip": "185.220.101.1"
},
"reserved": {
"reserved": false
},
"verdict": {
"classification": "tor",
"anonymized": true,
"confidence": 0.95,
"method": "tor_set",
"evidence": [
"tor_exit_list"
]
},
"networkClass": "tor",
"isVpn": true,
"isProxy": true,
"isTor": true,
"riskScore": 100,
"asn": {
"ip": "185.220.101.1",
"asn": "AS60729",
"name": "Stiftung Erneuerbare Freiheit",
"type": "unknown",
"country": "DE"
},
"at": "2026-10-08T21:55:08.590700162Z",
"purity": null,
"provider": null,
"vpnProvider": null,
"geo": {
"ip": "185.220.101.1",
"country": "Germany",
"countryCode": "DE",
"city": "Brandenburg",
"region": "Brandenburg",
"timezone": "Europe/Berlin",
"latitude": null,
"longitude": null,
"postalCode": null,
"accuracyRadius": null
},
"locked": [
"purity",
"provider",
"vpnProvider",
"geo.latitude",
"geo.longitude",
"geo.postalCode",
"geo.accuracyRadius"
],
"planRequired": "Starter"
}您自己的 IP
响应字段
- ipv4string
您通过 IPv4 连接时的 IPv4 地址。
- ipv6string
您通过 IPv6 连接时的 IPv6 地址。
- countrystring
国家名称。
- countryCodestring
两位 ISO 国家代码。
- citystring
城市名称。
- regionstring
地区或州。
- latitudenumber
纬度。
- longitudenumber
经度。
- timezonestring
IANA 时区。
- asnstring
自治系统号,如 AS15169。
- asnNamestring
运营该网络的机构名称。
- asnTypestring
hosting、isp、vpn、education、government、mobile 或 unknown。
curl https://ipscanner.io/v1/myip{
"ipv4": "203.0.113.42",
"country": "Canada",
"countryCode": "CA",
"city": "Montreal",
"region": "Quebec",
"postalCode": "H1K",
"latitude": 45.6085,
"longitude": -73.5493,
"timezone": "America/Toronto",
"accuracyRadius": 5,
"asn": "AS5769",
"asnName": "VIDEOTRON",
"asnType": "isp",
"asnCountry": "CA"
}